Gecode::Search::CutoffRandom Class Reference
Functionality by programming task » Programming models » Search engines

Cutoff generator for the random sequence. More...

`#include <search.hh>`

## Public Member Functions

| CutoffRandom (unsigned int seed, unsigned long int min, unsigned long int max, unsigned long int n)
| Constructor.
virtual unsigned long int | operator() (void) const
| Return the current cutoff value.
virtual unsigned long int | operator++ (void)
| Increment and return the next cutoff value.
| Cutoff (void)
| Default constructor.
virtual | ~Cutoff (void)
| Destructor.

## Protected Attributes

Support::RandomGenerator | rnd
| Random number generator.
unsigned long int | min
| Minimum cutoff value.
unsigned long int | n
| Random values.
unsigned long int | step
| Step size.
unsigned long int | cur
| Current value.

## Additional Inherited Members

static Cutoff * | constant (unsigned long int scale=Config::slice)
| Create generator for constant sequence with constant s.
static Cutoff * | linear (unsigned long int scale=Config::slice)
| Create generator for linear sequence scaled by scale.
static Cutoff * | geometric (unsigned long int scale=Config::slice, double base=Config::base)
static Cutoff * | luby (unsigned long int scale=Config::slice)
| Create generator for luby sequence with scale-factor scale.
static Cutoff * | rnd (unsigned int seed, unsigned long int min, unsigned long int max, unsigned long int n)
static Cutoff * | append (Cutoff *c1, unsigned long int n, Cutoff *c2)
| Append cutoff values from c2 after n values from c1.
static Cutoff * | merge (Cutoff *c1, Cutoff *c2)
| Merge cutoff values from c1 with values from c2.
static Cutoff * | repeat (Cutoff *c, unsigned long int n)
| Create generator that repeats n times each cutoff value from c.
Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Cutoff generator for the random sequence.

Definition at line 609 of file search.hh.

## Constructor & Destructor Documentation

## CutoffRandom()

Gecode::Search::CutoffRandom::CutoffRandom | ( | unsigned int | seed,
|  | unsigned long int | min,
|  | unsigned long int | max,
|  | unsigned long int | n )

inline

Constructor.

Definition at line 88 of file cutoff.hpp.

## Member Function Documentation

## operator()()

unsigned long int Gecode::Search::CutoffRandom::operator() | ( | void |  | ) | const

virtual

Return the current cutoff value.

Implements Gecode::Search::Cutoff.

Definition at line 96 of file cutoff.cpp.

## operator++()

unsigned long int Gecode::Search::CutoffRandom::operator++ | ( | void |  | ) |

virtual

Increment and return the next cutoff value.

Implements Gecode::Search::Cutoff.

Definition at line 91 of file cutoff.cpp.

## Member Data Documentation

## rnd

Support::RandomGenerator Gecode::Search::CutoffRandom::rnd

protected

Random number generator.

Definition at line 612 of file search.hh.

## min

unsigned long int Gecode::Search::CutoffRandom::min

protected

Minimum cutoff value.

Definition at line 614 of file search.hh.

## n

unsigned long int Gecode::Search::CutoffRandom::n

protected

Random values.

Definition at line 616 of file search.hh.

## step

unsigned long int Gecode::Search::CutoffRandom::step

protected

Step size.

Definition at line 618 of file search.hh.

## cur

unsigned long int Gecode::Search::CutoffRandom::cur

protected

Current value.

Definition at line 620 of file search.hh.

The documentation for this class was generated from the following files:

- gecode/search.hh
- gecode/search/cutoff.cpp
- gecode/search/cutoff.hpp